UCMDB Tip : UCMDB Version 10.11 with CP15 Update 1 fails to upgrade to 10.20

 

UCMDB Version 10.11 with CP15 update 1 fails to upgrade to 10.20 and the following errors are recorded:

 

Caused by: com.mercury.topaz.cmdb.shared.base.CmdbException: [ErrorCode [105005] Content pack downgrade is not allowed]
Trying to install CP version [15.00.123] which is older than the one already installed [15.01.143] is not support. Aborting operation
at appilog.framework.shared.content.install.operation.InstallContentPack.execute(InstallContentPack.java:58)
at appilog.framework.shared.content.install.operation.AbstractContentInstallOperation.commonExecute(AbstractContentInstallOperation.java:33)
at com.mercury.topaz.cmdb.shared.manage.operation.impl.AbstractCommonOperation$OperationExecuteFlowTrackingCommand.execute(AbstractCommonOperation.java:87)
... 32 more
2015-05-18 18:59:08,312  ERROR  [Starter for "content-install" (during Writer server startup). (customer 1, id name: Default Client)] (CustomerController.java:489) - Failed to start component [content-install]
com.mercury.topaz.cmdb.shared.base.CmdbException: [ErrorCode [105005] Content pack downgrade is not allowed]
execute(InstallContentPack.java:58)
at appilog.framework.shared.content.install.operation.AbstractContentInstallOperation.commonExecute(AbstractContentInstallOperation.java:33)
at com.mercury.topaz.cmdb.shared.manage.operation.impl.AbstractCommonOperation$OperationExecuteFlowTrackingCommand.execute(AbstractCommonOperation.java:87)
... 32 more
2015-05-18 18:59:08,312  ERROR  [Starter for "content-install" (during Writer server startup). (customer 1, id name: Default Client)] (CustomerController.java:489) - Failed to start component [content-install]
com.mercury.topaz.cmdb.shared.base.CmdbException: [ErrorCode [105005] Content pack downgrade is not allowed]
Error in post startup of Content install task

 

 

It was observed that the upgrade actually completes but the server does not start after that.

This issue appears because 10.20 is delivered with CP 15.00.123 but the upgrade from 10.11 and CP 15 U1 15.00.123 fails because the CP version is older.

 

Steps to resolve:

1. Perform the minor upgrade from 10.11 CP 15.01.142 to 10.20.

2. Check the status and wait for the Content Pack (CP) deploy to fail with error in error.log:

       [ErrorCode [105005] Content pack downgrade is not allowed]
       Trying to install CP version [15.00.123] which is older than the one already installed [15.01.143] is not supported


3. Log in to JMX console and access UCMDB:service=Settings Services. Method: getInternalSettings

4. Check CP version. It should be 15.01.142. Replace it with 15.00.123

5. The CP deployment should finish successfully. You can check the status in mam.packaging.log.

6. Then access UI and re-deploy CP 15.01.142.

7. Check the CP version from UIs Help > About. It should be 15.01.142

 

 

Reference : https://softwaresupport.hp.com/group/softwaresupport/search-result/-/facetsearch/document/KM01580164

 

 

Tags: